> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate file metadata

> Validate file metadata before uploading.



## OpenAPI

````yaml post /v1/flow/files/validate_metadata
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.87.1
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/flow/files/validate_metadata:
    post:
      tags:
        - Files
      summary: Validate file metadata
      description: Validate file metadata before uploading.
      operationId: file_validate_metadata_v1_flow_files_validate_metadata_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AlignFileMetadataValidationReq'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    AlignFileMetadataValidationReq:
      properties:
        purpose:
          type: string
          title: Purpose
        suffix:
          type: string
          title: Suffix
        size:
          type: integer
          title: Size
      additionalProperties: true
      type: object
      required:
        - purpose
        - suffix
        - size
      title: AlignFileMetadataValidationReq
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Seekr API Key without 'Bearer' Prefix
      in: header
      name: Authorization

````